<div [ngClass]="jds.card">
  <div [ngClass]="[jds.cardBody, className.cardBody]">
    <!-- Dataset -->
    <ng-container *ngIf="isLoadingDataset">
      <ng-container
        [ngTemplateOutlet]="loader"
        [ngTemplateOutletContext]="{ last: false }"
      />
    </ng-container>

    <ng-container *ngIf="!isLoadingDataset">
      <ng-container
        [ngTemplateOutlet]="content"
        [ngTemplateOutletContext]="{
          name: 'Dataset',
          href: '/dataset',
          total: totalDataset,
          last: false
        }"
      />
    </ng-container>

    <!-- Indicator -->
    <ng-container *ngIf="isLoadingIndicator">
      <ng-container
        [ngTemplateOutlet]="loader"
        [ngTemplateOutletContext]="{ last: false }"
      />
    </ng-container>

    <ng-container *ngIf="!isLoadingIndicator">
      <ng-container
        [ngTemplateOutlet]="content"
        [ngTemplateOutletContext]="{
          name: 'Indikator',
          href: '/indicator',
          total: totalIndicator,
          last: false
        }"
      />
    </ng-container>

    <!-- Visualization -->
    <ng-container *ngIf="isLoadingVisualization">
      <ng-container
        [ngTemplateOutlet]="loader"
        [ngTemplateOutletContext]="{ last: false }"
      />
    </ng-container>

    <ng-container *ngIf="!isLoadingVisualization">
      <ng-container
        [ngTemplateOutlet]="content"
        [ngTemplateOutletContext]="{
          name: 'Visualisasi',
          href: '/visualization',
          total: totalVisualization,
          last: false
        }"
      />
    </ng-container>

    <!-- Organization -->
    <ng-container *ngIf="isLoadingOrganization">
      <ng-container
        [ngTemplateOutlet]="loader"
        [ngTemplateOutletContext]="{ last: true }"
      />
    </ng-container>

    <ng-container *ngIf="!isLoadingOrganization">
      <ng-container
        [ngTemplateOutlet]="content"
        [ngTemplateOutletContext]="{
          name: 'Organisasi',
          href: '/organization',
          total: totalOrganization,
          last: true
        }"
      />
    </ng-container>
  </div>
</div>

<ng-template
  #loader
  let-last="last"
>
  <div
    [ngClass]="[className.contentLoading, last ? className.contentLast : '']"
  >
    <div
      class="wrapper-skeleton"
      *ngFor="let number of [40, 60]"
    >
      <ngx-skeleton-loader
        [theme]="{
          width: number + '%',
          'border-radius': '0',
          height: '22px',
          'margin-bottom': '0'
        }"
      />
    </div>
  </div>
</ng-template>

<ng-template
  #content
  let-name="name"
  let-href="href"
  let-total="total"
  let-last="last"
>
  <a
    [ngClass]="className.link"
    [routerLink]="[href]"
  >
    <div [ngClass]="[className.content, last ? className.contentLast : '']">
      <div>
        <div [ngClass]="className.total">
          {{ total | number : '1.0-0' : 'id' }}
        </div>
        <span [ngClass]="[jds.fw('bold')]">Total {{ name }}</span>
      </div>
      <div [ngClass]="className.icon">
        <jds-bi-icon name="arrow-right" />
      </div>
    </div>
  </a>
</ng-template>
